function EventAlert_LoadSpellArray()

	if EA_Items == nil then EA_Items = {} end;
	if EA_AltItems == nil then EA_AltItems = {}	end;
	if EA_TarItems == nil then EA_TarItems = {} end;
	if EA_ScdItems == nil then EA_ScdItems = {} end;

-- For buffs that have charges or are supposed to have charges, but instead re-cast themselves and mess up the frames.
	if EA_Items[EA_CLASS_FUNKY] == nil then EA_Items[EA_CLASS_FUNKY] = {} end;

--------------------------------- Start Normal Items ---------------------------------
if EA_Items[EA_CLASS_DK] == nil 		then EA_Items[EA_CLASS_DK] = {} 		end;
if EA_Items[EA_CLASS_DRUID] == nil 		then EA_Items[EA_CLASS_DRUID] = {} 		end;
if EA_Items[EA_CLASS_HUNTER] == nil 	then EA_Items[EA_CLASS_HUNTER] = {}		end;
if EA_Items[EA_CLASS_MAGE] == nil	 	then EA_Items[EA_CLASS_MAGE] = {} 		end;
if EA_Items[EA_CLASS_PALADIN] == nil 	then EA_Items[EA_CLASS_PALADIN] = {} 	end;
if EA_Items[EA_CLASS_PRIEST] == nil 	then EA_Items[EA_CLASS_PRIEST] = {} 	end;
if EA_Items[EA_CLASS_ROGUE] == nil 		then EA_Items[EA_CLASS_ROGUE] = {} 		end;
if EA_Items[EA_CLASS_SHAMAN] == nil 	then EA_Items[EA_CLASS_SHAMAN] = {} 	end;
if EA_Items[EA_CLASS_WARLOCK] == nil 	then EA_Items[EA_CLASS_WARLOCK] = {} 	end;
if EA_Items[EA_CLASS_WARRIOR] == nil 	then EA_Items[EA_CLASS_WARRIOR] = {} 	end;
if EA_Items[EA_CLASS_OTHER] == nil 		then EA_Items[EA_CLASS_OTHER] = {} 		end;

-- 직업 경고
-- Death Knight / 죽음의 기사
	-- 도살기
		if EA_Items[EA_CLASS_DK][51124] == nil then EA_Items[EA_CLASS_DK][51124] = true end;
	-- 잿더미 빙하
		if EA_Items[EA_CLASS_DK][53386] == nil then EA_Items[EA_CLASS_DK][53386] = true end;
	-- 혹한의 안개
		if EA_Items[EA_CLASS_DK][59052] == nil then EA_Items[EA_CLASS_DK][59052] = true end;

-- Druid / 드루이드
	-- 일식/월식
		if EA_Items[EA_CLASS_DRUID][48517] == nil then EA_Items[EA_CLASS_DRUID][48517] = true end;
		if EA_Items[EA_CLASS_DRUID][48518] == nil then EA_Items[EA_CLASS_DRUID][48518] = true end;
	-- 청명의 전조 / 정신 집중
		if EA_Items[EA_CLASS_DRUID][16870] == nil then EA_Items[EA_CLASS_DRUID][16870] = true end;
	-- 자연의 은혜
		if EA_Items[EA_CLASS_DRUID][16886] == nil then EA_Items[EA_CLASS_DRUID][16886] = true end;
	-- 쏟아지는 달빛
		if EA_Items[EA_CLASS_DRUID][81192] == nil then EA_Items[EA_CLASS_DRUID][81192] = true end;
	-- 유성
		if EA_Items[EA_CLASS_DRUID][93400] == nil then EA_Items[EA_CLASS_DRUID][93400] = true end;
	-- 야생의 포효(표범 변신)
		if EA_Items[EA_CLASS_DRUID][52610] == nil then EA_Items[EA_CLASS_DRUID][52610] = true end;
	-- 광폭화(표범 변신, 곰 변신)
		if EA_Items[EA_CLASS_DRUID][50334] == nil then EA_Items[EA_CLASS_DRUID][50334] = true end;

-- Hunter / 사냥꾼
	-- 고정 사격 연마
		if EA_Items[EA_CLASS_HUNTER][53220] == nil then EA_Items[EA_CLASS_HUNTER][53220] = true end;
	-- 실탄 장전
		if EA_Items[EA_CLASS_HUNTER][56453] == nil then EA_Items[EA_CLASS_HUNTER][56453] = true end;
	-- 준비,조준,발사
		if EA_Items[EA_CLASS_HUNTER][82925] == nil then EA_Items[EA_CLASS_HUNTER][82925] = true end;
	-- 발사!
		if EA_Items[EA_CLASS_HUNTER][82926] == nil then EA_Items[EA_CLASS_HUNTER][82926] = true end;
	-- T10x2P / 약점 공격
		if EA_Items[EA_CLASS_HUNTER][70728] == nil then EA_Items[EA_CLASS_HUNTER][70728] = true end;
	-- T10x4P / 쐐기
		if EA_Items[EA_CLASS_HUNTER][71007] == nil then EA_Items[EA_CLASS_HUNTER][71007] = true end;

-- Mage / 마법사
	-- 두뇌 빙결
		if EA_Items[EA_CLASS_MAGE][57761] == nil then EA_Items[EA_CLASS_MAGE][57761] = true end;
	-- 서리의 손가락
		if EA_Items[EA_CLASS_MAGE][44544] == nil then EA_Items[EA_CLASS_MAGE][44544] = true end;
	-- 물아치는 열기
		if EA_Items[EA_CLASS_MAGE][48108] == nil then EA_Items[EA_CLASS_MAGE][48108] = true end;
	-- 신비한 화살
		if EA_Items[EA_CLASS_MAGE][79683] == nil then EA_Items[EA_CLASS_MAGE][79683] = true end;
	-- 비전 작렬
		if EA_Items[EA_CLASS_MAGE][36032] == nil then EA_Items[EA_CLASS_MAGE][36032] = true end;
	-- T10x4P / 네 개의 심장
		if EA_Items[EA_CLASS_MAGE][70747] == nil then EA_Items[EA_CLASS_MAGE][70747] = true end;

-- Paladin / 성기사
	-- 신의 가호
		if EA_Items[EA_CLASS_PALADIN][498] == nil then EA_Items[EA_CLASS_PALADIN][498] = true end;
	-- 천상의 보호막
		if EA_Items[EA_CLASS_PALADIN][642] == nil then EA_Items[EA_CLASS_PALADIN][642] = true end;
	-- 신의 은총
		if EA_Items[EA_CLASS_PALADIN][31842] == nil then EA_Items[EA_CLASS_PALADIN][31842] = true end;
	-- 응징의 격노
		if EA_Items[EA_CLASS_PALADIN][31884] == nil then EA_Items[EA_CLASS_PALADIN][31884] = true end;
	-- 순결의 심판 (3 레벨)
		if EA_Items[EA_CLASS_PALADIN][53657] == nil then EA_Items[EA_CLASS_PALADIN][53657] = true end;
	-- 빛 주입 (2 레벨)
		if EA_Items[EA_CLASS_PALADIN][54149] == nil then EA_Items[EA_CLASS_PALADIN][54149] = true end;
	-- 신성한 기도
		if EA_Items[EA_CLASS_PALADIN][54428] == nil then EA_Items[EA_CLASS_PALADIN][54428] = true end;
	-- 전쟁의 기술
		if EA_Items[EA_CLASS_PALADIN][59578] == nil then EA_Items[EA_CLASS_PALADIN][59578] = true end;
	-- 여명의 빛
		if EA_Items[EA_CLASS_PALADIN][85222] == nil then EA_Items[EA_CLASS_PALADIN][85222] = true end;
	-- 빛의 속도
		if EA_Items[EA_CLASS_PALADIN][85496] == nil then EA_Items[EA_CLASS_PALADIN][85496] = true end;
	-- 열광
		if EA_Items[EA_CLASS_PALADIN][85696] == nil then EA_Items[EA_CLASS_PALADIN][85696] = true end;
	-- 서광
		if EA_Items[EA_CLASS_PALADIN][88819] == nil then EA_Items[EA_CLASS_PALADIN][88819] = true end;
	-- 빛의 손
		if EA_Items[EA_CLASS_PALADIN][90174] == nil then EA_Items[EA_CLASS_PALADIN][90174] = true end;


-- Priest / 사제
	-- 신의 권능: 보호막
		if EA_Items[EA_CLASS_PRIEST][17] == nil then EA_Items[EA_CLASS_PRIEST][17] = true end;
	-- 분산
		if EA_Items[EA_CLASS_PRIEST][47585] == nil then EA_Items[EA_CLASS_PRIEST][47585] = true end;
	-- 어둠의 구슬
		if EA_Items[EA_CLASS_PRIEST][77487] == nil then EA_Items[EA_CLASS_PRIEST][77487] = true end;
	-- 시간 벌기
		if EA_Items[EA_CLASS_PRIEST][59887] == nil then EA_Items[EA_CLASS_PRIEST][59887] = true end;
		if EA_Items[EA_CLASS_PRIEST][59888] == nil then EA_Items[EA_CLASS_PRIEST][59888] = true end;

-- Rogue / 도적
	-- 난도질
		if EA_Items[EA_CLASS_ROGUE][5171] == nil then EA_Items[EA_CLASS_ROGUE][5171] = true end;

-- Shaman / 주술사
	-- 번개 보호막
		if EA_Items[EA_CLASS_SHAMAN][324] == nil then EA_Items[EA_CLASS_SHAMAN][324] = true end;
	-- 소용돌이치는 무기
		if EA_Items[EA_CLASS_SHAMAN][53817] == nil then EA_Items[EA_CLASS_SHAMAN][53817] = true end;

-- Warlock / 흑마법사
	-- 역류
 		if EA_Items[EA_CLASS_WARLOCK][54274] == nil then EA_Items[EA_CLASS_WARLOCK][54274] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][54276] == nil then EA_Items[EA_CLASS_WARLOCK][54276] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][54277] == nil then EA_Items[EA_CLASS_WARLOCK][54277] = true end;
 	-- 반발력
 		if EA_Items[EA_CLASS_WARLOCK][34936] == nil then EA_Items[EA_CLASS_WARLOCK][34936] = true end;
 	-- 죽음의 예언
 		if EA_Items[EA_CLASS_WARLOCK][63165] == nil then EA_Items[EA_CLASS_WARLOCK][63165] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][63167] == nil then EA_Items[EA_CLASS_WARLOCK][63167] = true end;
 	-- 임프 강화 효과
 		if EA_Items[EA_CLASS_WARLOCK][47283] == nil then EA_Items[EA_CLASS_WARLOCK][47283] = true end;
 	-- 박멸
 		if EA_Items[EA_CLASS_WARLOCK][64368] == nil then EA_Items[EA_CLASS_WARLOCK][64368] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][64370] == nil then EA_Items[EA_CLASS_WARLOCK][64370] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][64371] == nil then EA_Items[EA_CLASS_WARLOCK][64371] = true end;
     -- 화산핵
 		if EA_Items[EA_CLASS_WARLOCK][47383] == nil then EA_Items[EA_CLASS_WARLOCK][47383] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][71162] == nil then EA_Items[EA_CLASS_WARLOCK][71162] = true end;
-- 		if EA_Items[EA_CLASS_WARLOCK][71165] == nil then EA_Items[EA_CLASS_WARLOCK][71165] = true end;
 	-- 어둠의 무아지경
 		if EA_Items[EA_CLASS_WARLOCK][17941] == nil then EA_Items[EA_CLASS_WARLOCK][17941] = true end;
 	-- T10x4P / 사악한 마음
 		if EA_Items[EA_CLASS_WARLOCK][70840] == nil then EA_Items[EA_CLASS_WARLOCK][70840] = true end;

-- Warrior / 전사
	-- 피의 쇄도
		if EA_Items[EA_CLASS_WARRIOR][46916] == nil then EA_Items[EA_CLASS_WARRIOR][46916] = true end;
 	-- 급살
 		if EA_Items[EA_CLASS_WARRIOR][52437] == nil then EA_Items[EA_CLASS_WARRIOR][52437] = true end;
 	-- 검과 방패
 		if EA_Items[EA_CLASS_WARRIOR][50227] == nil then EA_Items[EA_CLASS_WARRIOR][50227] = true end;
 	-- 피의 맛
 		if EA_Items[EA_CLASS_WARRIOR][60503] == nil then EA_Items[EA_CLASS_WARRIOR][60503] = true end;

-------------------------------- Start Other Items --------------------------------
-- 기타 경보
	-- 치유의 무아지경
		-- if EA_Items[EA_CLASS_OTHER][37706] == nil then EA_Items[EA_CLASS_OTHER][37706] = true end;
		-- if EA_Items[EA_CLASS_OTHER][37721] == nil then EA_Items[EA_CLASS_OTHER][37721] = true end;
   		-- if EA_Items[EA_CLASS_OTHER][37722] == nil then EA_Items[EA_CLASS_OTHER][37722] = true end;
        -- if EA_Items[EA_CLASS_OTHER][37723] == nil then EA_Items[EA_CLASS_OTHER][37723] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60512] == nil then EA_Items[EA_CLASS_OTHER][60512] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60513] == nil then EA_Items[EA_CLASS_OTHER][60513] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60514] == nil then EA_Items[EA_CLASS_OTHER][60514] = true end;
        -- if EA_Items[EA_CLASS_OTHER][60515] == nil then EA_Items[EA_CLASS_OTHER][60515] = true end;

	-- 사제 - 마력 주입
		if EA_Items[EA_CLASS_OTHER][10060] == nil then EA_Items[EA_CLASS_OTHER][10060] = true end;

	-- 사제 - 고통 억제
		if EA_Items[EA_CLASS_OTHER][33206] == nil then EA_Items[EA_CLASS_OTHER][33206] = true end;

	-- 사제 - 신의 권능: 방벽
		if EA_Items[EA_CLASS_OTHER][81782] == nil then EA_Items[EA_CLASS_OTHER][81782] = true end;

	-- 드루이드 - 정신 자극
		if EA_Items[EA_CLASS_OTHER][29166] == nil then EA_Items[EA_CLASS_OTHER][29166] = true end;

	-- 마력의 쇄도
		if EA_Items[EA_CLASS_OTHER][71601] == nil then EA_Items[EA_CLASS_OTHER][71601] = true end;
		if EA_Items[EA_CLASS_OTHER][71644] == nil then EA_Items[EA_CLASS_OTHER][71644] = true end;

	-- ICC (얼음왕관 성채)
	-- 어둠의 감옥
		if EA_Items[EA_CLASS_OTHER][72999] == nil then EA_Items[EA_CLASS_OTHER][72999] = true end;
	-- 에메랄드의 활력
		if EA_Items[EA_CLASS_OTHER][70873] == nil then EA_Items[EA_CLASS_OTHER][70873] = true end;
	-- 뒤틀린 악몽
		if EA_Items[EA_CLASS_OTHER][71941] == nil then EA_Items[EA_CLASS_OTHER][71941] = true end;
	-- 해방된 마법
		if EA_Items[EA_CLASS_OTHER][69762] == nil then EA_Items[EA_CLASS_OTHER][69762] = true end;
	-- 불안정
		if EA_Items[EA_CLASS_OTHER][69766] == nil then EA_Items[EA_CLASS_OTHER][69766] = true end;
	-- 사무치는 한기
		if EA_Items[EA_CLASS_OTHER][70106] == nil then EA_Items[EA_CLASS_OTHER][70106] = true end;
	-- 신비한 강타
		if EA_Items[EA_CLASS_OTHER][70127] == nil then EA_Items[EA_CLASS_OTHER][70127] = true end;
		if EA_Items[EA_CLASS_OTHER][70128] == nil then EA_Items[EA_CLASS_OTHER][70128] = true end;
		if EA_Items[EA_CLASS_OTHER][72528] == nil then EA_Items[EA_CLASS_OTHER][72528] = true end;
		if EA_Items[EA_CLASS_OTHER][72529] == nil then EA_Items[EA_CLASS_OTHER][72529] = true end;
		if EA_Items[EA_CLASS_OTHER][72530] == nil then EA_Items[EA_CLASS_OTHER][72530] = true end;


-------------------------------- Start Alternate Items --------------------------------
if EA_AltItems[EA_CLASS_DK] == nil 		then EA_AltItems[EA_CLASS_DK] = {} 		end;
if EA_AltItems[EA_CLASS_DRUID] == nil 	then EA_AltItems[EA_CLASS_DRUID] = {} 	end;
if EA_AltItems[EA_CLASS_HUNTER] == nil 	then EA_AltItems[EA_CLASS_HUNTER] = {} 	end;
if EA_AltItems[EA_CLASS_MAGE] == nil 	then EA_AltItems[EA_CLASS_MAGE] = {} 	end;
if EA_AltItems[EA_CLASS_PALADIN] == nil then EA_AltItems[EA_CLASS_PALADIN] = {} end;
if EA_AltItems[EA_CLASS_PRIEST] == nil 	then EA_AltItems[EA_CLASS_PRIEST] = {} 	end;
if EA_AltItems[EA_CLASS_ROGUE] == nil 	then EA_AltItems[EA_CLASS_ROGUE] = {} 	end;
if EA_AltItems[EA_CLASS_SHAMAN] == nil 	then EA_AltItems[EA_CLASS_SHAMAN] = {} 	end;
if EA_AltItems[EA_CLASS_WARLOCK] == nil then EA_AltItems[EA_CLASS_WARLOCK] = {} end;
if EA_AltItems[EA_CLASS_WARRIOR] == nil then EA_AltItems[EA_CLASS_WARRIOR] = {} end;

-- 활성화류 버프
-- Death Knight / 죽음의 기사
	-- 룬의 일격
   		if EA_AltItems[EA_CLASS_DK][56815] == nil then EA_AltItems[EA_CLASS_DK][56815] = true end;

-- Druid / 드루이드

-- Hunter / 사냥꾼
	-- 마무리 사격
 		if EA_AltItems[EA_CLASS_HUNTER][53351] == nil then EA_AltItems[EA_CLASS_HUNTER][53351] = true end;

-- Mage / 마법사

-- Paladin / 성기사
	-- 천벌의 망치
 		if EA_AltItems[EA_CLASS_PALADIN][24275] == nil then EA_AltItems[EA_CLASS_PALADIN][24275] = true end;

-- Priest / 사제

-- Rogue / 도적
	-- 반격
-- 		if EA_AltItems[EA_CLASS_ROGUE][14251] == nil then EA_AltItems[EA_CLASS_ROGUE][14251] = true end;

-- Shaman / 주술사

-- Warlock / 흑마법사

-- Warrior / 전사
	-- 제압(전투 태세)
		if EA_AltItems[EA_CLASS_WARRIOR][7384] == nil then EA_AltItems[EA_CLASS_WARRIOR][7384] = true end;
	-- 마무리 일격(전투 태세, 광폭 태세)
		if EA_AltItems[EA_CLASS_WARRIOR][5308] == nil then EA_AltItems[EA_CLASS_WARRIOR][5308] = true end;
	-- 복수(방어 태세)
		if EA_AltItems[EA_CLASS_WARRIOR][6572] == nil then EA_AltItems[EA_CLASS_WARRIOR][6572] = true end;
	-- 연전연승
		if EA_AltItems[EA_CLASS_WARRIOR][34428] == nil then EA_AltItems[EA_CLASS_WARRIOR][34428] = true end;
	-- 분노의 강타
 		if EA_AltItems[EA_CLASS_WARRIOR][85384] == nil then EA_Items[EA_CLASS_WARRIOR][85384] = true end;

--------------------------------- Start Target Items ---------------------------------
if EA_TarItems[EA_CLASS_DK] == nil 		then EA_TarItems[EA_CLASS_DK] = {} 		end;
if EA_TarItems[EA_CLASS_DRUID] == nil 	then EA_TarItems[EA_CLASS_DRUID] = {} 	end;
if EA_TarItems[EA_CLASS_HUNTER] == nil 	then EA_TarItems[EA_CLASS_HUNTER] = {} 	end;
if EA_TarItems[EA_CLASS_MAGE] == nil 	then EA_TarItems[EA_CLASS_MAGE] = {} 	end;
if EA_TarItems[EA_CLASS_PALADIN] == nil then EA_TarItems[EA_CLASS_PALADIN] = {} end;
if EA_TarItems[EA_CLASS_PRIEST] == nil 	then EA_TarItems[EA_CLASS_PRIEST] = {} 	end;
if EA_TarItems[EA_CLASS_ROGUE] == nil 	then EA_TarItems[EA_CLASS_ROGUE] = {} 	end;
if EA_TarItems[EA_CLASS_SHAMAN] == nil 	then EA_TarItems[EA_CLASS_SHAMAN] = {} 	end;
if EA_TarItems[EA_CLASS_WARLOCK] == nil then EA_TarItems[EA_CLASS_WARLOCK] = {} end;
if EA_TarItems[EA_CLASS_WARRIOR] == nil then EA_TarItems[EA_CLASS_WARRIOR] = {} end;

-- 대상 경보
-- Death Knight / 죽음의 기사
	-- 서리 열병
		if EA_TarItems[EA_CLASS_DK][55095] == nil then EA_TarItems[EA_CLASS_DK][55095] = true end;
	-- 피의 역병
		if EA_TarItems[EA_CLASS_DK][55078] == nil then EA_TarItems[EA_CLASS_DK][55078] = true end;

-- Druid / 드루이드
	-- 요정의 불꽃
		if EA_TarItems[EA_CLASS_DRUID][770] == nil then EA_TarItems[EA_CLASS_DRUID][770] = true end;
	-- 요정의 불꽃(야성)
		if EA_TarItems[EA_CLASS_DRUID][16857] == nil then EA_TarItems[EA_CLASS_DRUID][16857] = true end;
	-- 곤충 떼
		if EA_TarItems[EA_CLASS_DRUID][5570] == nil then EA_TarItems[EA_CLASS_DRUID][5570] = true end;
	-- 달빛 섬광
		if EA_TarItems[EA_CLASS_DRUID][8921] == nil then EA_TarItems[EA_CLASS_DRUID][8921] = true end;
	-- 짓이기기(표범 변신)
		if EA_TarItems[EA_CLASS_DRUID][33876] == nil then EA_TarItems[EA_CLASS_DRUID][33876] = true end;
	-- 갈퀴 발톱(표범 변신)
		if EA_TarItems[EA_CLASS_DRUID][1822] == nil then EA_TarItems[EA_CLASS_DRUID][1822] = true end;
	-- 도려내기(표범 변신)
		if EA_TarItems[EA_CLASS_DRUID][1079] == nil then EA_TarItems[EA_CLASS_DRUID][1079] = true end;
	-- 야생의 포효(표범 변신)
		if EA_TarItems[EA_CLASS_DRUID][52610] == nil then EA_TarItems[EA_CLASS_DRUID][52610] = true end;

-- Hunter / 사냥꾼
	-- 독사 쐐기
		if EA_TarItems[EA_CLASS_HUNTER][1978] == nil then EA_TarItems[EA_CLASS_HUNTER][1978] = true end;

-- Mage / 마법사
	-- 감속
		if EA_TarItems[EA_CLASS_MAGE][31589] == nil then EA_TarItems[EA_CLASS_MAGE][31589] = true end;
	-- 살아있는 폭탄
		if EA_TarItems[EA_CLASS_MAGE][44457] == nil then EA_TarItems[EA_CLASS_MAGE][44457] = true end;

-- Paladin / 성기사
	-- 심판의 망치
		if EA_TarItems[EA_CLASS_PALADIN][853] == nil then EA_TarItems[EA_CLASS_PALADIN][853] = true end;
	-- 신의 격노
		if EA_TarItems[EA_CLASS_PALADIN][2812] == nil then EA_TarItems[EA_CLASS_PALADIN][2812] = true end;
	-- 악령 퇴지
		if EA_TarItems[EA_CLASS_PALADIN][10326] == nil then EA_TarItems[EA_CLASS_PALADIN][10326] = true end;
	-- 참회
		if EA_TarItems[EA_CLASS_PALADIN][20066] == nil then EA_TarItems[EA_CLASS_PALADIN][20066] = true end;

-- Priest / 사제
	-- 어둠의 권능: 고통
		if EA_TarItems[EA_CLASS_PRIEST][589] == nil then EA_TarItems[EA_CLASS_PRIEST][589] = true end;
	-- 파멸의 역병
		if EA_TarItems[EA_CLASS_PRIEST][2944] == nil then EA_TarItems[EA_CLASS_PRIEST][2944] = true end;
	-- 약화된 영혼
		if EA_TarItems[EA_CLASS_PRIEST][6788] == nil then EA_TarItems[EA_CLASS_PRIEST][6788] = true end;
	-- 흡혈의 손길
		if EA_TarItems[EA_CLASS_PRIEST][34914] == nil then EA_TarItems[EA_CLASS_PRIEST][34914] = true end;

-- Rogue / 도적
	-- 파멸
		if EA_TarItems[EA_CLASS_ROGUE][1943] == nil then EA_TarItems[EA_CLASS_ROGUE][1943] = true end;
	-- 약점 공격
		if EA_TarItems[EA_CLASS_ROGUE][84617] == nil then EA_TarItems[EA_CLASS_ROGUE][84617] = true end;

-- Shaman / 주술사
	-- 화염 충격
		if EA_TarItems[EA_CLASS_SHAMAN][8050] == nil then EA_TarItems[EA_CLASS_SHAMAN][8050] = true end;

-- Warlock / 흑마법사
	-- 부패
		if EA_TarItems[EA_CLASS_WARLOCK][172] == nil then EA_TarItems[EA_CLASS_WARLOCK][172] = true end;
	-- 제물
		if EA_TarItems[EA_CLASS_WARLOCK][348] == nil then EA_TarItems[EA_CLASS_WARLOCK][348] = true end;
	-- 어둠의 화살
		if EA_TarItems[EA_CLASS_WARLOCK][686] == nil then EA_TarItems[EA_CLASS_WARLOCK][686] = true end;
	-- 暗影箭
		if EA_TarItems[EA_CLASS_WARLOCK][603] == nil then EA_TarItems[EA_CLASS_WARLOCK][603] = true end;
	-- 고통의 파멸
		if EA_TarItems[EA_CLASS_WARLOCK][980] == nil then EA_TarItems[EA_CLASS_WARLOCK][980] = true end;
	-- 원소의 저주
		if EA_TarItems[EA_CLASS_WARLOCK][1490] == nil then EA_TarItems[EA_CLASS_WARLOCK][1490] = true end;
	-- 소각
		if EA_TarItems[EA_CLASS_WARLOCK][29722] == nil then EA_TarItems[EA_CLASS_WARLOCK][29722] = true end;
	-- 불안정한 고통
		if EA_TarItems[EA_CLASS_WARLOCK][30108] == nil then EA_TarItems[EA_CLASS_WARLOCK][30108] = true end;
	-- 유령 출몰
		if EA_TarItems[EA_CLASS_WARLOCK][48181] == nil then EA_TarItems[EA_CLASS_WARLOCK][48181] = true end;
	-- 혼돈의 화살
		if EA_TarItems[EA_CLASS_WARLOCK][50796] == nil then EA_TarItems[EA_CLASS_WARLOCK][50796] = true end;

-- Warrior / 전사


--------------------------------- Start Target Items ---------------------------------
if EA_ScdItems[EA_CLASS_DK] == nil 		then EA_ScdItems[EA_CLASS_DK] = {} 		end;
if EA_ScdItems[EA_CLASS_DRUID] == nil 	then EA_ScdItems[EA_CLASS_DRUID] = {} 	end;
if EA_ScdItems[EA_CLASS_HUNTER] == nil 	then EA_ScdItems[EA_CLASS_HUNTER] = {} 	end;
if EA_ScdItems[EA_CLASS_MAGE] == nil 	then EA_ScdItems[EA_CLASS_MAGE] = {} 	end;
if EA_ScdItems[EA_CLASS_PALADIN] == nil then EA_ScdItems[EA_CLASS_PALADIN] = {} end;
if EA_ScdItems[EA_CLASS_PRIEST] == nil 	then EA_ScdItems[EA_CLASS_PRIEST] = {} 	end;
if EA_ScdItems[EA_CLASS_ROGUE] == nil 	then EA_ScdItems[EA_CLASS_ROGUE] = {} 	end;
if EA_ScdItems[EA_CLASS_SHAMAN] == nil 	then EA_ScdItems[EA_CLASS_SHAMAN] = {} 	end;
if EA_ScdItems[EA_CLASS_WARLOCK] == nil then EA_ScdItems[EA_CLASS_WARLOCK] = {} end;
if EA_ScdItems[EA_CLASS_WARRIOR] == nil then EA_ScdItems[EA_CLASS_WARRIOR] = {} end;

-- 재사용 대기시간 경고
-- Death Knight / 죽음의 기사
	-- 얼음 결계
		if EA_ScdItems[EA_CLASS_DK][45524] == nil then EA_ScdItems[EA_CLASS_DK][45524] = true end;
	-- 죽음의 손아귀
		if EA_ScdItems[EA_CLASS_DK][49576] == nil then EA_ScdItems[EA_CLASS_DK][49576] = true end;

-- Druid / 드루이드
	-- 자연의 신속함
		if EA_ScdItems[EA_CLASS_DRUID][17116] == nil then EA_ScdItems[EA_CLASS_DRUID][17116] = true end;
	-- 신속한 치유
		if EA_ScdItems[EA_CLASS_DRUID][18562] == nil then EA_ScdItems[EA_CLASS_DRUID][18562] = true end;
	-- 정신 자극
		if EA_ScdItems[EA_CLASS_DRUID][29166] == nil then EA_ScdItems[EA_CLASS_DRUID][29166] = true end;
	-- 급속 성장
		if EA_ScdItems[EA_CLASS_DRUID][48438] == nil then EA_ScdItems[EA_CLASS_DRUID][48438] = true end;
	-- 별폭풍
		if EA_ScdItems[EA_CLASS_DRUID][78674] == nil then EA_ScdItems[EA_CLASS_DRUID][78674] = true end;

-- Hunter / 사냥꾼
	-- 철수
		if EA_ScdItems[EA_CLASS_HUNTER][781] == nil then EA_ScdItems[EA_CLASS_HUNTER][781] = true end;
	-- 비룡 쐐기
		if EA_ScdItems[EA_CLASS_HUNTER][19386] == nil then EA_ScdItems[EA_CLASS_HUNTER][19386] = true end;

-- Mage / 마법사
	-- 얼음 회오리
		if EA_ScdItems[EA_CLASS_MAGE][122] == nil then EA_ScdItems[EA_CLASS_MAGE][122] = true end;
	-- 점멸
		if EA_ScdItems[EA_CLASS_MAGE][1953] == nil then EA_ScdItems[EA_CLASS_MAGE][1953] = true end;
	-- 신비의 마법 강화
		if EA_ScdItems[EA_CLASS_MAGE][12042] == nil then EA_ScdItems[EA_CLASS_MAGE][12042] = true end;
	-- 냉정
		if EA_ScdItems[EA_CLASS_MAGE][12043] == nil then EA_ScdItems[EA_CLASS_MAGE][12043] = true end;
	-- 환기
		if EA_ScdItems[EA_CLASS_MAGE][12051] == nil then EA_ScdItems[EA_CLASS_MAGE][12051] = true end;
	-- 얼음 방패
		if EA_ScdItems[EA_CLASS_MAGE][45438] == nil then EA_ScdItems[EA_CLASS_MAGE][45438] = true end;

-- Paladin / 성기사
	-- 신의 가호
		if EA_ScdItems[EA_CLASS_PALADIN][498] == nil then EA_ScdItems[EA_CLASS_PALADIN][498] = true end;
	-- 심판의 망치
		if EA_ScdItems[EA_CLASS_PALADIN][853] == nil then EA_ScdItems[EA_CLASS_PALADIN][853] = true end;
	-- 신의 겨노
		if EA_ScdItems[EA_CLASS_PALADIN][2812] == nil then EA_ScdItems[EA_CLASS_PALADIN][2812] = true end;
	-- 심판
		if EA_ScdItems[EA_CLASS_PALADIN][20271] == nil then EA_ScdItems[EA_CLASS_PALADIN][20271] = true end;
	-- 신성 충격
		if EA_ScdItems[EA_CLASS_PALADIN][20473] == nil then EA_ScdItems[EA_CLASS_PALADIN][20473] = true end;
	-- 신성화
		if EA_ScdItems[EA_CLASS_PALADIN][26573] == nil then EA_ScdItems[EA_CLASS_PALADIN][26573] = true end;
	-- 비전 격류 (종족 특성)
		if EA_ScdItems[EA_CLASS_PALADIN][28730] == nil then EA_ScdItems[EA_CLASS_PALADIN][28730] = true end;
	-- 성전사의 일격
		if EA_ScdItems[EA_CLASS_PALADIN][35395] == nil then EA_ScdItems[EA_CLASS_PALADIN][35395] = true end;
	-- 신성한 기도
		if EA_ScdItems[EA_CLASS_PALADIN][54428] == nil then EA_ScdItems[EA_CLASS_PALADIN][54428] = true end;

-- Priest / 사제
	-- 마력 주입
		if EA_ScdItems[EA_CLASS_PRIEST][10060] == nil then EA_ScdItems[EA_CLASS_PRIEST][10060] = true end;
	-- 비전 격류(종족 특성)
		if EA_ScdItems[EA_CLASS_PRIEST][28730] == nil then EA_ScdItems[EA_CLASS_PRIEST][28730] = true end;
	-- 고통 억제
		if EA_ScdItems[EA_CLASS_PRIEST][33206] == nil then EA_ScdItems[EA_CLASS_PRIEST][33206] = true end;
	-- 어둠의 마귀
		if EA_ScdItems[EA_CLASS_PRIEST][34433] == nil then EA_ScdItems[EA_CLASS_PRIEST][34433] = true end;
	-- 회개
		if EA_ScdItems[EA_CLASS_PRIEST][47540] == nil then EA_ScdItems[EA_CLASS_PRIEST][47540] = true end;
	-- 분산
		if EA_ScdItems[EA_CLASS_PRIEST][47585] == nil then EA_ScdItems[EA_CLASS_PRIEST][47585] = true end;
	-- 내면의 집중력
		if EA_ScdItems[EA_CLASS_PRIEST][89485] == nil then EA_ScdItems[EA_CLASS_PRIEST][89485] = true end;

-- Rogue / 도적
	-- 그림자 망토
		if EA_ScdItems[EA_CLASS_ROGUE][65961] == nil then EA_ScdItems[EA_CLASS_ROGUE][65961] = true end;
	-- 원한
		if EA_ScdItems[EA_CLASS_ROGUE][79140] == nil then EA_ScdItems[EA_CLASS_ROGUE][79140] = true end;

-- Shaman / 주술사
	-- 용암 폭발
		if EA_ScdItems[EA_CLASS_SHAMAN][51505] == nil then EA_ScdItems[EA_CLASS_SHAMAN][51505] = true end;

-- Warlock / 흑마법사
	-- 점화
		if EA_ScdItems[EA_CLASS_WARLOCK][17962] == nil then EA_ScdItems[EA_CLASS_WARLOCK][17962] = true end;

-- Warrior / 전사

end

function EventAlert_RemoveOldSpells()
	if EA_Items[EA_CLASS_PALADIN][27179] == true then EA_Items[EA_CLASS_PALADIN][27179] = nil end;
	if EA_Items[EA_CLASS_PALADIN][27151] == true then EA_Items[EA_CLASS_PALADIN][27151] = nil end;
	if EA_Items[EA_CLASS_WARLOCK][47274] == true then EA_Items[EA_CLASS_WARLOCK][47274] = nil end;
	if EA_Items[EA_CLASS_PRIEST][34754] == true then EA_Items[EA_CLASS_PRIEST][34754] = nil end;
	if EA_Items[EA_CLASS_DK][50466] == true then EA_Items[EA_CLASS_DK][50466] = nil end;
	EA_Items["Other"] = nil;
end